%define oname 	kgraphviewer
%define version 2.0
%define release	1 

Summary:	A GraphViz dot graph viewer for KDE
Name:		kde4-%{oname}
Version: 	%{version}
Release: 	%mkrel %{release}
Source0: 	http://download.gna.org/kgraphviewer/%{oname}-%version.tar.bz2
License: 	GPLv2+
Group: 		Graphics	 	
Url: 		https://gna.org/projects/kgraphviewer
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:	graphviz
BuildRequires:	boost-devel
BuildRequires: 	kdepimlibs4-devel
BuildRequires:	desktop-file-utils

%description 
KGraphViewer is user-friendly KDE application for viewing dot graphs 
created for processing with GraphViz. Notable features provided include:

- loading of several graphs in tabs
- bird's-eye graph view
- zooming view
- simple printing
- context menu and toolbar for selecting layout algorithms
- session management

%prep
%setup -q -n %oname-%version 

%build
%cmake_kde4
%make

%install
rm -rf %{buildroot}
cd build
%{makeinstall_std}
cd -

desktop-file-install --vendor='' \
	--dir %buildroot%_kde_datadir/applications/kde4/ \
	--remove-key='Encoding' \
	--remove-category='Application' \
	--add-category='Qt;KDE;Graphics;2DGraphics;Viewer' \
	%buildroot%_kde_datadir/applications/kde4/kgraphviewer.desktop \
	%buildroot%_kde_datadir/applications/kde4/kgrapheditor.desktop

%find_lang %oname --with-html

%clean
rm -rf %{buildroot}

%post
/sbin/ldconfig
%update_menus

%postun
/sbin/ldconfig
%update_menus

%files -f %oname.lang
%defattr(-,root,root)
%_kde_bindir/*
%_kde_libdir/kde4/*.so
%_kde_datadir/applications/kde4/*.desktop
%_kde_appsdir/*
%_kde_datadir/config.kcfg/*.kcfg
%_kde_iconsdir/*/*/*/*.png
%_kde_datadir/kde4/services/*.desktop


%changelog
* Sat Mar 08 2008 Nicolas Lécureuil <neoclust@mandriva.org> 2.0-1mdv2008.1
+ Revision: 182322
- New version 2.0

* Sun Dec 30 2007 Funda Wang <fundawang@mandriva.org> 1.99.1-1mdv2008.1
+ Revision: 139425
- import SOURCES and SPECS
- create kde4-kgraphviewer

